La nouvelle installation de sphinx-quickstart échoue

Essayer de le faire fonctionner avec Sphinx pour la première fois, avec une installation propre à Sphinx 1.1.3, et shinx-quickstart échoue. Devrait-il y avoir des dépendances installées? J’ai essayé de pip --force-reinstall sphinx mais le résultat est le même.

  myhost:doc anton$ sphinx-quickstart Traceback (most recent call last): File "/usr/local/bin/sphinx-quickstart", line 8, in  load_entry_point('Sphinx==1.1.3', 'console_scripts', 'sphinx-quickstart')() File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources.py", line 318, in load_entry_point return get_dissortingbution(dist).load_entry_point(group, name) File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources.py", line 2221, in load_entry_point return ep.load() File "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources.py", line 1954, in load entry = __import__(self.module_name, globals(),globals(), ['__name__']) File "/Library/Python/2.7/site-packages/Sphinx-1.1.3-py2.7.egg/sphinx/quickstart.py", line 19, in  from sphinx.util.osutil import make_filename File "/Library/Python/2.7/site-packages/Sphinx-1.1.3-py2.7.egg/sphinx/util/__init__.py", line 25, in  from docutils.utils import relative_path File "/Library/Python/2.7/site-packages/docutils-0.9-py2.7.egg/docutils/utils/__init__.py", line 19, in  from docutils.io import FileOutput File "/Library/Python/2.7/site-packages/docutils-0.9-py2.7.egg/docutils/io.py", line 18, in  from docutils.error_reporting import locale_encoding, ErrorSsortingng, ErrorOutput File "/Library/Python/2.7/site-packages/docutils-0.9-py2.7.egg/docutils/error_reporting.py", line 47, in  locale_encoding = locale.getlocale()[1] or locale.getdefaultlocale()[1] File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/locale.py", line 496, in getdefaultlocale return _parse_localename(localename) File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/locale.py", line 428, in _parse_localename raise ValueError, 'unknown locale: %s' % localename ValueError: unknown locale: UTF-8 

Je rencontrais le même problème dans Mac OS X Snow Leopard. Cela semble être un problème avec Terminal.app.

Veuillez append ce qui suit à votre $ HOME / .bash_profile

 export LC_ALL=en_US.UTF-8 export LANG=en_US.UTF-8 

Faire

 source $HOME/.bash_profile 

et essaye. Cela résoudra le problème.